---
title: Video textures
slug: Web/API/WebGL_API/By_example/Video_textures
tags:
  - Advanced
  - Example
  - Graphics
  - Learn
  - NeedsContent
  - Tutorial
  - WebGL
---
<p>{{ draft() }}</p>

<div>{{IncludeSubnav("/en-US/Learn")}}</div>

<p>{{Previous("Learn/WebGL/By_example/Textures_from_code")}}</p>

<div id="video-textures">
<div class="summary">
<p id="video-textures-summary"><span class="seoSummary">This example demonstrates how to use video files as textures for WebGL surfaces.</span></p>
</div>

<div id="video-textures-intro">
<h3 id="Textures_from_video">Textures from video</h3>

<p>{{EmbedGHLiveSample('webgl-examples/tutorial/sample8/index.html', 670, 510) }}</p>
</div>
</div>

<p>{{Previous("Learn/WebGL/By_example/Textures_from_code")}}</p>
